com.singularsys.jep.functions

## Class List

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.List

- All Implemented Interfaces:
    PostfixMathCommandI, java.io.Serializable

      public class List
      extends PostfixMathCommand

  The list function. Returns a `Vector<Object>` comprising all the children. It
  Author:
    Rich Morris Created on 29-Feb-2004
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `List()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(java.util.Stack<java.lang.Object> inStack)` Throws an exception because this method should never be called under normal circumstances.

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### List

          public List()

  - ### Method Detail

    - #### run

          public void run(java.util.Stack<java.lang.Object> inStack)
                   throws EvaluationException

      Description copied from class: `PostfixMathCommand`
      Throws an exception because this method should never be called under normal circumstances. Each function should use it's own run() method for evaluating the function. This includes popping off the parameters from the stack, and pushing the result back on the stack.
      Specified by:
        `run` in interface `PostfixMathCommandI`
      Overrides:
        `run` in class `PostfixMathCommand`
      Parameters:
        `inStack` - arguments for function
      Throws:
        `EvaluationException` - if function cannot be evaluated

Copyright © 2018 Singular Systems http://www.singularsys.com/jep